]> Zhao Yanbai Git Server - minix.git/commitdiff
Added getpack, the fabulous minix package manager.
authorBen Gras <ben@minix3.org>
Mon, 12 Sep 2005 12:26:18 +0000 (12:26 +0000)
committerBen Gras <ben@minix3.org>
Mon, 12 Sep 2005 12:26:18 +0000 (12:26 +0000)
commands/scripts/Makefile
commands/scripts/getpack.sh [new file with mode: 0644]

index feee893088e93417b54cf3039773992e23e70079..5f3dc1e81cd4f2105873e9dfdce405cbfca5952b 100755 (executable)
@@ -24,6 +24,7 @@ usr:  \
                /usr/bin/false \
                /usr/bin/gcc \
                /usr/bin/getopts \
+               /usr/bin/getpack \
                /usr/bin/read \
                /usr/bin/test \
                /usr/bin/true \
@@ -95,6 +96,9 @@ clean:
 /usr/bin/wait: /usr/bin/cd
        install -m 755 -l $? $@
 
+/usr/bin/getpack:      getpack.sh
+       install -m 755 -c -o bin $? $@
+
 /usr/bin/checkhier:    checkhier.sh
        install -m 755 -c -o bin $? $@
 
diff --git a/commands/scripts/getpack.sh b/commands/scripts/getpack.sh
new file mode 100644 (file)
index 0000000..12eb504
--- /dev/null
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]
+then   echo "Usage: $0 <url>"
+       exit 1
+fi
+
+if [ -z "$HOME" ]
+then   echo "Where is your \$HOME? "
+       exit 1
+fi
+
+if [ ! -d "$HOME" ]
+then   echo "Where is your \$HOME ($HOME) ? "
+       exit 1
+fi
+
+tmpdir=$HOME/getpack$$
+tmpfile=package
+tmpfiletar=$tmpfile.tar
+tmpfiletargz=$tmpfile.tar.gz
+
+mkdir -m 700 $tmpdir || exit 1
+cd $tmpdir || exit 1
+
+urlget "$1" >$tmpfiletargz
+
+gzip -d $tmpfiletargz || exit 1
+tar xf $tmpfiletar || exit 1
+make && make install && echo "Ok."